package com.example.employee.employee.model;
// Generated Nov 27, 2019 2:47:59 PM by Hibernate Tools 4.3.5.Final

import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Agama generated by hbm2java
 */
@Entity
@Table(name = "agama", schema = "public")
public class Agama implements java.io.Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;
	private int idAgama;
	private String namaAgama;
	private Set<Karyawan> karyawans = new HashSet<Karyawan>(0);

	public Agama() {
	}

	public Agama(final int idAgama, final String namaAgama) {
		this.idAgama = idAgama;
		this.namaAgama = namaAgama;
	}

	public Agama(final int idAgama, final String namaAgama, final Set<Karyawan> karyawans) {
		this.idAgama = idAgama;
		this.namaAgama = namaAgama;
		this.karyawans = karyawans;
	}

	@Id

	@Column(name = "ID_AGAMA", unique = true, nullable = false)
	public int getIdAgama() {
		return this.idAgama;
	}

	public void setIdAgama(final int idAgama) {
		this.idAgama = idAgama;
	}

	@Column(name = "NAMA_AGAMA", nullable = false, length = 128)
	public String getNamaAgama() {
		return this.namaAgama;
	}

	public void setNamaAgama(final String namaAgama) {
		this.namaAgama = namaAgama;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "agama")
	public Set<Karyawan> getKaryawans() {
		return this.karyawans;
	}

	public void setKaryawans(final Set<Karyawan> karyawans) {
		this.karyawans = karyawans;
	}

}
